/*
 *    GMLDocument.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.nzdl.gsdl.SimpleGraphicalClient;

import java.util.*;
import javax.swing.text.*;
import javax.swing.text.html.*;


import org.nzdl.gsdl.service.*;

/**
 * Class GMLDocument
 *
 * A class to represent GML Documents
 * 
 * @author Dave Nichols (daven@cs.waikato.ac.nz)
 * @see org.nzdl.gsdl.service.SimpleGraphicalClient.SimpleGraphicalClient
 */

public class GMLDocument extends HTMLDocument
{

    GMLDocument(){
	super();
    }



    public void getImageData(NzdlService nzdl, String collectionName) {
	// display image data
	System.err.println("about to get iterator ...");
	/* 
	   HTML.Tag tag = HTML.Tag.IMG;
	
	   HTMLDocument.Iterator it = getIterator(tag); */
	//System.err.println("collectionName = " + collectionName);
	//System.err.println("HTTPPrefix = " + nzdl.getCollectionInfo(collectionName).getHTTPPrefix());
	//System.err.println("HTTPDomain = " + nzdl.getCollectionInfo(collectionName).getHTTPDomain());

	ElementIterator iterator = new ElementIterator(this);

	Element element;

	while ((element = iterator.next()) != null) {
	    // System.err.println("Got an element, getName() = " + element.getName() );
	    if (element.getName() == "img") {
		//System.err.println("Got an image tag!");
		AttributeSet attributes = element.getAttributes();
		System.err.println("Num of attributes = " + attributes.getAttributeCount());
		//Enumeration attributeNames = attributes.getAttributeNames();
		for (Enumeration attributeNames = attributes.getAttributeNames()                      ; attributeNames.hasMoreElements() ;) {
		    Object attributeName = attributeNames.nextElement();
		    Object attributeValue = attributes.getAttribute(attributeName);
		    System.err.println("\t" + attributeName + " = " + attributeValue);
		}
		
		Object name = attributes.getAttribute(StyleConstants.NameAttribute);
		//System.err.println("name = " + name);
	    }
        
        }

	/*
	if (it.getTag() == null) System.err.println("iterator is null");
	System.err.println("got iterator for tag type:" + it.getTag());
	System.err.println("about to loop over " + it.getTag() + " tags...");
	while (it.isValid()) {
	    System.err.println("Found tag: " + it.getTag());
	    System.err.println("Start offset = " + it.getStartOffset() + "  End Offset = " + it.getEndOffset());
	    int length = it.getEndOffset() - it.getStartOffset();
	    AttributeSet attributeSet = it.getAttributes();

	    for (Enumeration i = attributeSet.getAttributeNames(); i.hasMoreElements();) { 
		System.err.println(i.nextElement());
	    }

	    System.err.println("extracted Document contents = ...");
	    try {
		System.err.println(getText(it.getStartOffset(), length));
	    }
	    catch (BadLocationException e) {
		System.err.println(e);
	    }

	    System.err.println("attr count =" + attributeSet.getAttributeCount());
	    it.next();
	}
	System.err.println("no more " + it.getTag() + " tags");
	System.err.println("tag " + tag + " has block status " + tag.isBlock());
	*/
    }



} //end GMLDocument class
