/*
 *    NzdlConstants.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

//the package we're in
package org.nzdl.gsdl.util;

/**
 * Contains default values for: query and other stuff.
 *
 * @author Stuart Yeates  (say1@cs.waikato.ac.nz)
 * @author Aziz Mahoui    (amahoui@yahoo.com)
 * @author Gordon Paynter (paynter@cs.waikato.ac.nz)
 * @version $Revision: 2163 $
 */
public interface NzdlConstants {

  String DEFAULT_QUERY_TERM   = "";
  String DEFAULT_QUERY_TYPE   = "ranked";
  String DEFAULT_CASE_FOLDING = "true";
  String DEFAULT_STEMMING     = "false";

  int    DEFAULT_START_RESULTS = 1;
  int    DEFAULT_END_RESULTS   = 10;
  int    DEFAULT_MAX_DOCS      = 200;

/* these appear to have been generated by 
the idlj compiler but not any more - so 
they are are being placed here */

public static final int FRtermFreq = 1;
public static final int FRmatchterms = 2;
public static final int FROID = 4 ;
public static final int FRsubcol = 8;
public static final int FRranking = 16;
public static final int FRdocFreq = 32;
public static final int FRmetadata = 64;
public static final int FRfullTextBrowse = 128;

/* The constants above are based on these definitions from the C++ receptionist

#define FRtermFreq   1
#define FRmatchTerms 2
#define FROID        4
#define FRsubCol     8
#define FRranking    16
#define FRdocFreq    32
#define FRmetadata   64
// used to indicate a full text browse query for mgpp
#define FRfullTextBrowse  128

*/

}
